 function out = fit_model(initial_par,input_data,time,lb,ub,fig_yn,study,nest,plotflux)

lsq_options=optimset('Algorithm','trust-region-reflective','MaxFunEvals',800,'TolX',1e-10,'Display','iter');

[p_opt,resnorm,residual,exitflag,output,lambda,jacobian]=lsqnonlin(@error_function,initial_par,lb,ub,lsq_options,input_data,time,study);
 
out.p_opt = p_opt;
out.resnorm = resnorm;
out.residual = residual;
out.exitflag = exitflag;
out.output = output;
out.lambda = lambda;
out.jacobian = jacobian;


% to display the plot of model fitting, simulate model for the optimal parameter set
if fig_yn    
simulate_model(input_data,p_opt,time,nest,study,plotflux)
end